# QItemEditorFactory Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QItemEditorFactory()

### Constructor Properties

- prototype: The QItemEditorFactory prototype object
- QItemEditorFactory defaultFactory()
- void setDefaultFactory(QItemEditorFactory factory)

### Prototype Object Properties

- QWidget createEditor(QVariant::Type type, QWidget parent)
- void registerEditor(QVariant::Type type, QItemEditorCreatorBase creator)
- QByteArray valuePropertyName(QVariant::Type type)

### Instance Properties

QItemEditorFactory objects have no special properties beyond those inherited from the QItemEditorFactory prototype object.